/**
 * Smooth scrolling on the whole document
 */
 html {
	scroll-behavior: smooth;
}

@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}
}

@font-face {
    font-family: 'norse-regular';
    src: url('./norse/Norse-KaWl.otf');
}

@font-face {
    font-family: 'norse-bold';
    src: url('./norse/NorseBold-2Kge.otf');
}

* {
    box-sizing: border-box;
}

body {
    font-family: 'norse-regular';
    font-size: 24px;
    color: #ffffff;
}

video {
    object-fit: cover;
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}

.m_background {
    background-color: black;
}

#btn-back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: rgb(26, 133, 175, 0.6);
    display: none;
}

.active {
    text-decoration: underline;
}

.langs {
    margin-top: 2px;
}

.lang-select, .lang-select:focus {
    color: #ffffff;
    background-color: inherit;
    font-size: 28px;
    border: none;
}

.lang-select:active {
    color: #ffffff;
    background-color: inherit;
    font-size: 20px;
    border: none;
}

.header-bg {
    background-image: url('./../assets/header_bg.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
}

.header-shield {
    margin-top: 2%;
    height: 70%;
}

button {
    all: unset;
    cursor: pointer;
}

.register {
    width: 300px;
    height: 137px;
    margin-top: 25px;
}

.registerButton {
    width: 100%;
    height: 100%;
}

.pressed {
    display: none;
}

.registerButton:hover .pressed {
    display: inline-block;
}

.registerButton:hover .unpressed {
    display: none;
}

.navbar {
    background-color: #1A85AF;
    font-family: 'norse-regular';
    font-size: 30px;
    color: #ffffff;
}

.navbar-nav > li {
    padding-left: 15px;
    padding-right: 15px;
}

.navbar-dark .navbar-nav .nav-link {
    color: #ffffff;
}

.logo-l {
    position: absolute;
    margin-left: 2%;
    z-index: 3;
}

h1 {
    color: #ffffff;
    font-family: 'norse-bold';
}

.video-box {
    display: flex;
    justify-content: center;
}

.event_video {
    width: 85%;
    height: 500px;
    border: none;
}

.saga {
    margin-bottom: 30px;
    font-size: 30px;
}

.agenda {
    font-size: 30px;
}

/* =========== SPONSORS ================== */

.sponsors-logo {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

img.diamond {
    max-width: 300px;
}

img.platin {
    max-width: 280px;
}

img.gold {
    max-width: 260px;
}

img.silver {
    max-width: 240px;
}

img.bronze {
    max-width: 240px;
}

table {
    color: #ffffff;
}

td {
    padding: 10px;
}

.signed {
    font-family: 'norse-bold';
    font-size: 28px;
}

section {
    padding-top: 100px;
    padding-bottom: 100px;
}

.top {
    padding: 0;
    height: 100vh;
    margin-bottom: 80px;
}

.header-img {
    max-height: 980px;
}

.title-text {
    font-family: 'norse-bold';
    color: #979c9f;
    font-size: 56px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card {
    height: 442px;
    background: url('../assets/stones.png');
    background-repeat: no-repeat;
    color: #ffffff;
    font-size: 32px;
    text-align: center;
}

.card background {
    opacity: 0.5;
}

.lower {
    margin-top: 25px;
}

.card-body > img {
    width: 100%;
}

.partOfIt {
    margin-bottom: 20px;
}

a {
    color: #1A85AF;
}

@media only screen and (max-width: 990px) {
    
    .top {
        height: 70vh;
    }

    section {
        padding-top: 75px;
        padding-bottom: 75px;
    }
    
    .logo-l {
        display: none;
    }

    .card {
        margin-top: 10px;
    }

    .header-shield { 
        width: 100%;
        max-height: 600px;
    }

    .partOfIt {
        width: 80%;
        margin-bottom: 0px;
    }

    .header-bg {
        background-image: none;
        height: 70vh;
    }

    .event_video {
        width: 100%;
        height: 300px;
    }

    .saga {
        margin-top: 30px;
        margin-bottom: 5px;
        font-size: 24px;
    }

    .agenda {
        font-size: 24px;
    }

    video {
        display: none;
    }

    .register {
        margin-top: 0px;
    }

}

@media only screen and (max-width: 500px) {
    .header-shield { 
        margin-top: 25%;
    }

    section {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .lang-select {
        width: 20%;
    }
}